Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phytrac_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phytrac_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phytrac_mod.F90	(revision 3814)
@@ -89,5 +89,5 @@
     USE phys_cal_mod, only : hour
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
@@ -97,5 +97,5 @@
     USE tracinca_mod
     USE tracreprobus_mod
-    USE control_mod
+    USE control_phy_mod
     USE indice_sol_mod
 
@@ -107,6 +107,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "clesphys.h"
-    INCLUDE "temps.h"
-    INCLUDE "paramet.h"
     INCLUDE "thermcell.h"
     INCLUDE "iniprint.h"
@@ -445,8 +443,8 @@
        WRITE(*,*) 'FIRST TIME IN PHYTRAC : pdtphys(sec) = ',pdtphys,'ecrit_tra (sec) = ',ecrit_tra
        ALLOCATE( source(klon,nbtr), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('phytrac', 'pb in allocation 1',1)
+       IF (ierr /= 0) CALL abort_physic('phytrac', 'pb in allocation 1',1)
 
        ALLOCATE( aerosol(nbtr), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('phytrac', 'pb in allocation 2',1)
+       IF (ierr /= 0) CALL abort_physic('phytrac', 'pb in allocation 2',1)
 
 
@@ -503,5 +501,5 @@
 !                ELSE 
 !                   WRITE(lunout,*) 'pb it=', it
-!                   CALL abort_gcm('phytrac','pb it scavenging',1)
+!                   CALL abort_physic('phytrac','pb it scavenging',1)
 !                ENDIF
                 !--test OB 
@@ -539,5 +537,5 @@
 
        IF (lessivage.AND.config_inca.EQ.'inca') THEN
-          CALL abort_gcm('phytrac', 'lessivage=T config_inca=inca impossible',1)
+          CALL abort_physic('phytrac', 'lessivage=T config_inca=inca impossible',1)
           STOP
        ENDIF
@@ -740,5 +738,5 @@
     ELSE
        !
-       CALL abort_gcm('iflag_vdf_trac', 'cas non prevu',1)
+       CALL abort_physic('iflag_vdf_trac', 'cas non prevu',1)
        !
     END IF ! couche limite
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/q_sat_phy.F
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/q_sat_phy.F	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/q_sat_phy.F	(revision 3814)
@@ -0,0 +1,72 @@
+!
+! $Header$
+!
+!
+!
+
+      subroutine q_sat_phy(np,temp,pres,qsat)
+!
+      IMPLICIT none
+!======================================================================
+! Autheur(s): Z.X. Li (LMD/CNRS)
+!  reecriture vectorisee par F. Hourdin.
+! Objet: calculer la vapeur d'eau saturante (formule Centre Euro.)
+!======================================================================
+! Arguments:
+! kelvin---input-R: temperature en Kelvin
+! millibar--input-R: pression en mb
+!
+! q_sat----output-R: vapeur d'eau saturante en kg/kg
+!======================================================================
+!
+      integer np
+      REAL temp(np),pres(np),qsat(np)
+!
+      REAL r2es
+      PARAMETER (r2es=611.14 *18.0153/28.9644)
+!
+      REAL r3les, r3ies, r3es
+      PARAMETER (R3LES=17.269)
+      PARAMETER (R3IES=21.875)
+!
+      REAL r4les, r4ies, r4es
+      PARAMETER (R4LES=35.86)
+      PARAMETER (R4IES=7.66)
+!
+      REAL rtt
+      PARAMETER (rtt=273.16)
+!
+      REAL retv
+      PARAMETER (retv=28.9644/18.0153 - 1.0)
+
+      real zqsat
+      integer ip
+!
+!     ------------------------------------------------------------------
+!
+!
+
+      do ip=1,np
+
+!      write(*,*)'kelvin,millibar=',kelvin,millibar
+!       write(*,*)'temp,pres=',temp(ip),pres(ip)
+!
+         IF (temp(ip) .LE. rtt) THEN
+            r3es = r3ies
+            r4es = r4ies
+         ELSE
+            r3es = r3les
+            r4es = r4les
+         ENDIF
+!
+         zqsat=r2es/pres(ip)*EXP(r3es*(temp(ip)-rtt)/(temp(ip)-r4es))
+         zqsat=MIN(0.5,ZQSAT)
+         zqsat=zqsat/(1.-retv *zqsat)
+!
+         qsat(ip)= zqsat
+!      write(*,*)'qsat=',qsat(ip)
+
+      enddo
+!
+      RETURN
+      END
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radiation_AR4.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radiation_AR4.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radiation_AR4.F90	(revision 3814)
@@ -485,5 +485,5 @@
   USE dimphy
   USE radiation_ar4_param, ONLY: rsun, rray
-  USE infotrac, ONLY: type_trac
+  USE infotrac_phy, ONLY: type_trac
 #ifdef REPROBUS
   USE chem_rep, ONLY: rsuntime, ok_suntime
@@ -710,5 +710,5 @@
   USE dimphy
   USE radiation_ar4_param, ONLY: rsun, rray
-  USE infotrac, ONLY: type_trac
+  USE infotrac_phy, ONLY: type_trac
 #ifdef REPROBUS
   USE chem_rep, ONLY: rsuntime, ok_suntime
@@ -2343,5 +2343,5 @@
   USE dimphy
   USE radiation_ar4_param, ONLY: tref, rt1, raer, at, bt, oct
-  USE infotrac, ONLY: type_trac
+  USE infotrac_phy, ONLY: type_trac
 #ifdef REPROBUS
   USE chem_rep, ONLY: rch42d, rn2o2d, rcfc112d, rcfc122d, ok_rtime2d
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radio_decay.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radio_decay.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radio_decay.F90	(revision 3814)
@@ -7,5 +7,5 @@
 !
   USE dimphy
-  USE infotrac, ONLY : nbtr
+  USE infotrac_phy, ONLY : nbtr
   USE traclmdz_mod, ONLY : id_rn, id_pb
   IMPLICIT NONE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radlwsw_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radlwsw_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/radlwsw_m.F90	(revision 3814)
@@ -48,5 +48,5 @@
   USE DIMPHY
   USE assert_m, ONLY : assert
-  USE infotrac, ONLY : type_trac
+  USE infotrac_phy, ONLY : type_trac
   USE write_field_phy
 #ifdef REPROBUS
@@ -393,9 +393,9 @@
   IF (nb_gr*kdlon .NE. KLON) THEN
       PRINT*, "kdlon mauvais:", KLON, kdlon, nb_gr
-      call abort_gcm("radlwsw", "", 1)
+      call abort_physic("radlwsw", "", 1)
   ENDIF
   IF (kflev .NE. KLEV) THEN
       PRINT*, "kflev differe de KLEV, kflev, KLEV"
-      call abort_gcm("radlwsw", "", 1)
+      call abort_physic("radlwsw", "", 1)
   ENDIF
   !-------------------------------------------
@@ -1025,5 +1025,5 @@
 #else
     abort_message="You should compile with -rrtm if running with iflag_rrtm=1"
-    call abort_gcm(modname, abort_message, 1)
+    call abort_physic(modname, abort_message, 1)
 #endif
     ENDIF ! iflag_rrtm
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_map2D.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_map2D.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_map2D.F90	(revision 3814)
@@ -74,5 +74,5 @@
       WRITE(lunout,*) 'Error in read_map2D, timestep = ', timestep
 
-      CALL abort_gcm(modname, err_mess, 1)
+      CALL abort_physic(modname, err_mess, 1)
 
     END SUBROUTINE write_err_mess
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_pstoke.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_pstoke.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_pstoke.F90	(revision 3814)
@@ -19,5 +19,5 @@
   USE netcdf
   USE dimphy
-  USE control_mod
+  USE control_phy_mod
   USE indice_sol_mod
 
@@ -26,13 +26,5 @@
   include "netcdf.inc"
   include "dimensions.h"
-  include "paramet.h"
-  include "comconst.h"
-  include "comgeom.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
   include "description.h"
-  include "serre.h"
-  ! ccc#include "dimphy.h"
 
   INTEGER klono, klevo, imo, jmo
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_pstoke0.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_pstoke0.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/read_pstoke0.F90	(revision 3814)
@@ -18,5 +18,5 @@
   USE netcdf
   USE dimphy
-  USE control_mod
+  USE control_phy_mod
   USE indice_sol_mod
 
@@ -25,13 +25,5 @@
   include "netcdf.inc"
   include "dimensions.h"
-  include "paramet.h"
-  include "comconst.h"
-  include "comgeom.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
   include "description.h"
-  include "serre.h"
-  ! ccc#include "dimphy.h"
 
   INTEGER kon, kev, zkon, zkev
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol.F90	(revision 3814)
@@ -130,5 +130,5 @@
            IF (klev_src /= klev_src2) THEN
               WRITE(lunout,*) 'Two aerosols files with different number of vertical levels is not allowded'
-              CALL abort_gcm('readaersosol','Error in number of vertical levels',1)
+              CALL abort_physic('readaersosol','Error in number of vertical levels',1)
            END IF
            
@@ -162,5 +162,5 @@
   ELSE
      WRITE(lunout,*)'This option is not implemented : aer_type = ', type,' name_aero=',name_aero
-     CALL abort_gcm('readaerosol','Error : aer_type parameter not accepted',1)
+     CALL abort_physic('readaerosol','Error : aer_type parameter not accepted',1)
   END IF ! type
 
@@ -260,5 +260,5 @@
           WRITE(lunout,*) 'longitudes in model :', io_lon
           
-          CALL abort_gcm('get_aero_fromfile', 'longitudes are not the same in file and model',1)
+          CALL abort_physic('get_aero_fromfile', 'longitudes are not the same in file and model',1)
        END IF
 
@@ -283,5 +283,5 @@
           WRITE(lunout,*) 'latitudes in file ', TRIM(fname),' : ', lat_src      
           WRITE(lunout,*) 'latitudes in model :', io_lat
-          CALL abort_gcm('get_aero_fromfile', 'latitudes do not correspond between file and model',1)
+          CALL abort_physic('get_aero_fromfile', 'latitudes do not correspond between file and model',1)
        END IF
 
@@ -297,5 +297,5 @@
           IF (ierr /= NF90_NOERR) THEN
              ! Dimension PRESNIVS not found either
-             CALL abort_gcm('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
+             CALL abort_physic('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
           ELSE 
              ! Old file found
@@ -315,8 +315,8 @@
      ! Allocate variables depending on the number of vertical levels
        ALLOCATE(varmth(iim, jjm+1, klev_src), varyear(iim, jjm+1, klev_src, 12), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 1',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 1',1)
 
        ALLOCATE(pt_ap(klev_src), pt_b(klev_src), varktmp(klev_src), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 2',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 2',1)
 
 ! 3) Read all variables from file
@@ -333,5 +333,5 @@
 !       IF (nbr_tsteps /= 12 .AND. nbr_tsteps /= 14) THEN
        IF (nbr_tsteps /= 12 ) THEN
-         CALL abort_gcm('get_aero_fromfile', 'not the right number of months in aerosol file read (should be 12 for the moment)',1)
+         CALL abort_physic('get_aero_fromfile', 'not the right number of months in aerosol file read (should be 12 for the moment)',1)
        ENDIF
 
@@ -522,5 +522,5 @@
        
        ALLOCATE(varyear_glo1D(klon_glo, klev_src, 12), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 3',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 3',1)
        
        ! Transform from 2D to 1D field
@@ -546,5 +546,5 @@
     IF (.NOT. ASSOCIATED(pt_ap)) THEN  ! if pt_ap is allocated also pt_b is allocated
        ALLOCATE(pt_ap(klev_src), pt_b(klev_src), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 4',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 4',1)
     END IF
     CALL bcast(pt_ap)
@@ -554,5 +554,5 @@
     IF (ASSOCIATED(pt_year)) DEALLOCATE(pt_year)
     ALLOCATE(pt_year(klon, klev_src, 12), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 5',1)
+    IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 5',1)
 
     ! Scatter global field to local domain at local process
@@ -583,5 +583,5 @@
           WRITE(lunout,*) 'Error in get_aero_fromfile : ',text
        END IF
-       CALL abort_gcm('get_aero_fromfile',trim(nf90_strerror(status)),1)
+       CALL abort_physic('get_aero_fromfile',trim(nf90_strerror(status)),1)
     END IF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol_interp.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol_interp.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/readaerosol_interp.F90	(revision 3814)
@@ -26,9 +26,7 @@
   INCLUDE "YOMCST.h"
   INCLUDE "chem.h"      
-  INCLUDE "temps.h"      
   INCLUDE "clesphys.h"
   INCLUDE "iniprint.h"
   INCLUDE "dimensions.h"
-  INCLUDE "comvert.h"
 !
 ! Input:
@@ -150,13 +148,13 @@
   IF (.NOT. ALLOCATED(var_day)) THEN
      ALLOCATE( var_day(klon, klev, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 1',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 1',1)
      ALLOCATE( pi_var_day(klon, klev, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 2',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 2',1)
 
      ALLOCATE( psurf_year(klon, 12, naero_spc), pi_psurf_year(klon, 12, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 3',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 3',1)
 
      ALLOCATE( load_year(klon, 12, naero_spc), pi_load_year(klon, 12, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 4',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 4',1)
 
      lnewday=.TRUE.
@@ -209,5 +207,5 @@
         END IF
      ELSE
-        CALL abort_gcm('readaerosol_interp', 'this aer_type not supported',1)
+        CALL abort_physic('readaerosol_interp', 'this aer_type not supported',1)
      END IF
 
@@ -216,5 +214,5 @@
      IF (.NOT. ALLOCATED(var_year)) THEN
         ALLOCATE(var_year(klon, klev_src, 12, naero_spc), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 5',1)
+        IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 5',1)
      END IF
      var_year(:,:,:,id_aero) = pt_tmp(:,:,:)
@@ -230,10 +228,10 @@
         WRITE(lunout,*) 'Error! All forcing files for the same aerosol must have the same vertical dimension'
         WRITE(lunout,*) 'Aerosol : ', name_aero(id_aero)
-        CALL abort_gcm('readaerosol_interp','Differnt vertical axes in aerosol forcing files',1)
+        CALL abort_physic('readaerosol_interp','Differnt vertical axes in aerosol forcing files',1)
      END IF
 
      IF (.NOT. ALLOCATED(pi_var_year)) THEN
         ALLOCATE(pi_var_year(klon, klev_src, 12, naero_spc), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 6',1)
+        IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 6',1)
      END IF
      pi_var_year(:,:,:,id_aero) = pt_tmp(:,:,:)
@@ -259,10 +257,10 @@
         IF (  psurf_year(1,1,id_aero) /= pi_psurf_year(1,1,id_aero) ) THEN
            WRITE(lunout,*) 'Warning! All forcing files for the same aerosol must have the same structure'
-           CALL abort_gcm('readaerosol_interp', 'The aerosol files have not the same format',1)
+           CALL abort_physic('readaerosol_interp', 'The aerosol files have not the same format',1)
         END IF
         
         IF (klev /= klev_src) THEN
            WRITE(lunout,*) 'Old format of aerosol file do not allowed vertical interpolation'
-           CALL abort_gcm('readaerosol_interp', 'Old aerosol file not possible',1)
+           CALL abort_physic('readaerosol_interp', 'Old aerosol file not possible',1)
         END IF
 
@@ -336,5 +334,5 @@
        END IF
      ELSE
-       CALL abort_gcm('readaerosol_interp', 'number of months undefined',1)
+       CALL abort_physic('readaerosol_interp', 'number of months undefined',1)
      ENDIF
      if (debug) then
@@ -345,8 +343,8 @@
      ! Time interpolation, still on vertical source grid
      ALLOCATE(tmp1(klon,klev_src), tmp2(klon,klev_src),stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 7',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 7',1)
 
      ALLOCATE(pplay_src(klon,klev_src), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 8',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 8',1)
      
 
@@ -544,5 +542,5 @@
                  WRITE(lunout,*) 'stop for aerosol : ',name_aero(id_aero)
                  WRITE(lunout,*) 'day1, day2, jDay = ', day1, day2, jDay 
-                 CALL abort_gcm('readaerosol_interp','Error in interpolation 1',1)
+                 CALL abort_physic('readaerosol_interp','Error in interpolation 1',1)
               END IF
            END DO 
@@ -563,5 +561,5 @@
                  
                  WRITE(lunout,*) 'stop for aerosol : ',name_aero(id_aero)
-                 CALL abort_gcm('readaerosol_interp','Error in interpolation 2',1)
+                 CALL abort_physic('readaerosol_interp','Error in interpolation 2',1)
               END IF
            END DO
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_lat_time_climoz_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_lat_time_climoz_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_lat_time_climoz_m.F90	(revision 3814)
@@ -73,5 +73,6 @@
     use netcdf, only: nf90_get_att, nf90_get_var, nf90_noerr, nf90_nowrite
     use assert_m, only: assert
-
+    use comconst_phy_mod, only : pi
+    use comgeom2_phy_mod, only : rlatv
     integer, intent(in):: read_climoz ! read ozone climatology
     ! Allowed values are 1 and 2
@@ -84,10 +85,4 @@
     include "dimensions.h"
     ! (for "jjm")
-    include "paramet.h"
-    ! (for the other included files)
-    include "comgeom2.h"
-    ! (for "rlatv")
-    include "comconst.h"
-    ! (for "pi")
 
     integer n_plev ! number of pressure levels in the input data
@@ -339,5 +334,6 @@
          nf95_put_att, nf95_enddef, nf95_copy_att, nf95_put_var
     use netcdf, only: nf90_clobber, nf90_float, nf90_global
-
+    use comconst_phy_mod, only : pi
+    use comgeom2_phy_mod, only : rlatu
     integer, intent(in):: ncid_in, n_plev
     integer, intent(out):: ncid_out, varid_plev, varid_time
@@ -350,11 +346,4 @@
 
     include "dimensions.h"
-    ! (for "jjm")
-    include "paramet.h"
-    ! (for the other included files)
-    include "comgeom2.h"
-    ! (for "rlatu")
-    include "comconst.h"
-    ! (for "pi")
 
     integer ncerr
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 3814)
@@ -45,14 +45,10 @@
          nf95_put_var, nf95_gw_var
     use netcdf, only: nf90_nowrite, nf90_get_var
-
+    use comgeom2_phy_mod, only : rlatv
+    use comconst_phy_mod, only : pi
     ! Variables local to the procedure:
 
     include "dimensions.h"
     ! (for "jjm")
-    include "paramet.h"
-    include "comgeom2.h"
-    ! (for "rlatv")
-    include "comconst.h"
-    ! (for "pi")
 
     integer ncid_in, ncid_out ! NetCDF IDs for input and output files
@@ -251,4 +247,6 @@
          nf95_put_att, nf95_enddef, nf95_copy_att, nf95_put_var
     use netcdf, only: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
+    use comgeom2_phy_mod, only : rlatu
+    use comconst_phy_mod, only : pi
 
     integer, intent(in):: ncid_in, varid_in(:), n_plev
@@ -260,9 +258,4 @@
     include "dimensions.h"
     ! (for "jjm")
-    include "paramet.h"
-    include "comgeom2.h"
-    ! (for "rlatu")
-    include "comconst.h"
-    ! (for "pi")
 
     integer ncerr
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_pr_o3_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/regr_pr_o3_m.F90	(revision 3814)
@@ -30,5 +30,5 @@
     use regr1_step_av_m, only: regr1_step_av
     use press_coefoz_m, only: press_in_edg
-    use control_mod, only: dayref
+    use control_phy_mod, only: dayref
 
     REAL, intent(in):: p3d(:, :, :) ! pressure at layer interfaces, in Pa
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/soil.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/soil.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/soil.F90	(revision 3814)
@@ -178,5 +178,5 @@
   ELSE
      WRITE(lunout,*) "valeur d indice non prevue", indice
-     call abort_gcm("soil", "", 1)
+     call abort_physic("soil", "", 1)
   ENDIF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_land_orchidee_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_land_orchidee_mod.F90	(revision 3814)
@@ -18,5 +18,5 @@
   USE comgeomphy,   ONLY : cuphy, cvphy
   USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_root
+  USE mod_phys_lmdz_para
 
   IMPLICIT NONE
@@ -45,5 +45,5 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
     USE indice_sol_mod
-
+    USE temps_phy_mod
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -98,5 +98,4 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
     INCLUDE "iniprint.h"
@@ -210,5 +209,5 @@
 #ifndef CPP_VEGET
        abort_message='Pb de coherence: ok_veget = .true. mais CPP_VEGET = .false.'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
 #endif
 
@@ -244,5 +243,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lalo'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -251,5 +250,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lon_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -258,5 +257,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lat_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -298,5 +297,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation neighbours'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -306,5 +305,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation contfrac'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -324,5 +323,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation resolution'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -336,5 +335,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation coastalflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
        
@@ -342,5 +341,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation riverflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
 !
@@ -349,5 +348,5 @@
        IF (carbon_cycle_cpl) THEN
           abort_message='carbon_cycle_cpl not yet possible with this interface of ORCHIDEE'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        END IF
        
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 3814)
@@ -215,5 +215,5 @@
        IF (carbon_cycle_cpl) THEN
           abort_message='You must define preprossing key ORCH_NEW when running carbon_cycle_cpl=y'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        END IF
 #endif
@@ -246,5 +246,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lalo'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -253,5 +253,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lon_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -260,5 +260,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lat_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -301,5 +301,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation neighbours'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -309,5 +309,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation contfrac'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -327,5 +327,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation resolution'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -339,5 +339,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation coastalflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
        
@@ -345,5 +345,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation riverflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
 
@@ -359,12 +359,12 @@
        IF (carbon_cycle_cpl) THEN
           ALLOCATE(fco2_land_inst(klon),stat=error)
-          IF (error /= 0)  CALL abort_gcm(modname,'Pb in allocation fco2_land_inst',1)
+          IF (error /= 0)  CALL abort_physic(modname,'Pb in allocation fco2_land_inst',1)
           
           ALLOCATE(fco2_lu_inst(klon),stat=error)
-          IF(error /=0) CALL abort_gcm(modname,'Pb in allocation fco2_lu_inst',1)
+          IF(error /=0) CALL abort_physic(modname,'Pb in allocation fco2_lu_inst',1)
        END IF
 
        ALLOCATE(fields_cpl(klon,nb_fields_cpl), stat = error)
-       IF (error /= 0) CALL abort_gcm(modname,'Pb in allocation fields_cpl',1)
+       IF (error /= 0) CALL abort_physic(modname,'Pb in allocation fields_cpl',1)
 
     ENDIF                          ! (fin debut) 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_landice_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_landice_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/surf_landice_mod.F90	(revision 3814)
@@ -209,5 +209,5 @@
 #else
        abort_message='Pb de coherence: ok_snow = .true. mais CPP_SISVAT = .false.'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
 #endif
     ELSE ! ok_snow=FALSE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/temps_phy_mod.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/temps_phy_mod.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/temps_phy_mod.f90	(revision 3814)
@@ -0,0 +1,28 @@
+MODULE temps_phy_mod
+
+  INTEGER,SAVE :: itaufin
+  !$OMP THREADPRIVATE(itaufin)
+
+  INTEGER,SAVE :: day_ini 
+  !$OMP THREADPRIVATE(day_ini)
+
+  INTEGER,SAVE :: day_end 
+  !$OMP THREADPRIVATE(day_end)
+
+  INTEGER,SAVE :: itau_phy 
+  !$OMP THREADPRIVATE(itau_phy)
+
+  INTEGER,SAVE :: annee_ref
+  !$OMP THREADPRIVATE(annee_ref)
+
+  INTEGER,SAVE :: day_ref
+  !$OMP THREADPRIVATE(day_ref)
+
+  REAL,SAVE :: start_time
+  !$OMP THREADPRIVATE(start_time)
+
+  REAL,SAVE :: jD_ref
+  !$OMP THREADPRIVATE(jD_ref)
+
+
+END MODULE temps_phy_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell.F90	(revision 3814)
@@ -766,5 +766,5 @@
       IF (fracd(ig,l)<0.1) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
 
       ELSE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcellV0_main.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcellV0_main.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcellV0_main.F90	(revision 3814)
@@ -465,5 +465,5 @@
       if (.not. (f0(1).ge.0.) ) then
         abort_message = 'Dans thermcell_main f0(1).lt.0 '
-        CALL abort_gcm (modname,abort_message,1)
+        CALL abort_physic (modname,abort_message,1)
       endif
 
@@ -591,5 +591,5 @@
            zcon2(ig)=zlay(ig,nlay)-(pcon(ig)-pplay(ig,nlay))/(RG*rho(ig,nlay))/100.
            abort_message = 'thermcellV0_main: les thermiques vont trop haut '
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
         endif
       enddo
@@ -880,5 +880,5 @@
                 print*,'wmax_sec',wmax_sec(ig)
                 abort_message = 'zdenom<1.e-14'
-                CALL abort_gcm (modname,abort_message,1)
+                CALL abort_physic (modname,abort_message,1)
              endif
              if ((zmax_sec(ig).gt.1.e-10).and.(iflag_thermals_ed.eq.0)) then 
